Main menu

How to install PHP5.2 in CentOS5

PHP 5.2 is not available under CentOS5 or RHEL5 default repository and many of other repository like EPEL amd Remi moved to PHP 5.3 and higher version. Jason Litka’s yum repository still providing PHP5.2 for CentOS5 and RHEL5.

yum utterramblings http://www.jasonlitka.com/media/EL4/$ARCH
echo '[utterramblings]
name=Jasons Utter Ramblings Repo
baseurl=http://www.jasonlitka.com/media/EL$releasever/$basearch/
enabled=0
gpgcheck=1
gpgkey=http://www.jasonlitka.com/media/RPM-GPG-KEY-jlitka
' > /etc/yum.repos.d/utterramblings.repo

Upgrading PHP

yum --enablerepo=utterramblings update
yum --enablerepo=utterramblings install php
FacebookTwitterGoogle+RSS